Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Divya Ranjan <[email-masked]>
Date: Fri, 07 Mar 2025 19:03:32 +0000

Suhail Singh <[email-masked]> writes:

> Divya Ranjan <[email-masked]> writes:
>
>> I had to realize that Linux gets a *lot* more in funding and
>> infrastructure than Guix.
>
> While I agree in general, I don't understand the specific point you were
> making.  Was it that Linux with its greater funding has someone to
> manage something like Bugzilla, where Guix may not?

That, and they have the freedom to not worry if it’s costing them a bit too much, both financially and workload wise. I don’t think any of the kernel subsystem maintainers are heavily working on the infrastructure, it is simply provided to them from Linux Foundation. I think if a lot of our infrastructural worries could be handled by some other entity while the committers focus on contributing to Guix, it’d been much easier.

As much as we like to talk of Savannah being unstable, it is managed by less than 5 people at FSFSysOps. Last month I recommended to communicate or work with them[0], but I don’t think anyone wanted that. The degree to which a workflow is smooth depends not only on the workflow itself but on how it’s being supported. 

[0]: https://yhetil.org/guix/[email-masked]/
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A